MCP Reference: redis.googleapis.com

Model Context Protocol (MCP) 伺服器可做為代理伺服器,在外部服務與大型語言模型 (LLM) 或 AI 應用程式之間傳輸脈絡、資料或功能。MCP 伺服器可將 AI 應用程式連結至資料庫和 Web 服務等外部系統,並將系統回覆轉換成 AI 應用程式可理解的格式。

伺服器設定

您必須先啟用 MCP 伺服器設定驗證,才能使用這項功能。如要進一步瞭解如何使用 Google 和 Google Cloud 遠端 MCP 伺服器,請參閱 Google Cloud MCP 伺服器總覽

這是 MCP 伺服器,提供管理 Memorystore for Redis 執行個體和 Redis 叢集的工具。

伺服器端點

MCP 服務端點是 AI 應用程式 (MCP 用戶端的主機) 用來建立安全標準連線的 MCP 伺服器網路位址和通訊介面 (通常是網址)。這是 LLM 請求脈絡、呼叫工具或存取資源的聯絡點。Google MCP 端點可以是全域或區域。

redis.googleapis.com MCP 伺服器具有下列 MCP 端點:

  • https://redis.googleapis.com/mcp

MCP 工具

MCP 工具是 MCP 伺服器向 LLM 或 AI 應用程式公開的函式或可執行功能,可在現實世界中執行動作。

redis.googleapis.com MCP 伺服器提供下列工具:

MCP 工具
list_clusters 列出 Memorystore for Redis Cluster 中的所有叢集。
get_cluster 取得 Memorystore for Redis Cluster 中叢集的詳細資訊。
create_cluster 在 Memorystore for Redis Cluster 中建立叢集。
delete_cluster 刪除 Memorystore for Redis Cluster 中的叢集。
update_cluster 更新 Memorystore for Redis Cluster 中的叢集。
get_cluster_certificate_authority 取得 Memorystore for Redis Cluster 中叢集的憑證授權單位。
reschedule_cluster_maintenance 為 Memorystore for Redis Cluster 中的叢集重新安排維護作業。
list_backup_collections 列出所有 Memorystore for Redis Cluster 備份集合。
get_backup_collection 取得 Memorystore for Redis Cluster 備份集合的詳細資訊。
list_backups 列出所有 Memorystore for Redis Cluster 備份。
get_backup 取得 Memorystore for Redis Cluster 備份的詳細資訊。
delete_backup 刪除 Memorystore for Redis Cluster 備份。
export_backup 匯出 Memorystore for Redis Cluster 備份。
backup_cluster 在 Memorystore for Redis Cluster 中備份叢集。

取得 MCP 工具規格

如要取得 MCP 伺服器中所有工具的 MCP 工具規格,請使用 tools/list 方法。以下範例說明如何使用 curl 列出 MCP 伺服器中目前可用的所有工具及其規格。

Curl 要求
                      curl --location 'https://redis.googleapis.com/mcp' \
--header 'content-type: application/json' \
--header 'accept: application/json, text/event-stream' \
--data '{
    "method": "tools/list",
    "jsonrpc": "2.0",
    "id": 1
}'